Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK > Class Template Reference

Iterator for the ACE_Map_Manager. More...

`#include <Map_Manager.h>`

Inheritance diagram for ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >:

[legend]
List of all members.

## Public Methods
| ACE_Map_Iterator_Base (ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > &mm)
int | next (ACE_Map_Entry< EXT_ID, INT_ID > *&next_entry) const
int | done (void) const
| Returns 1 when all items have been seen, else 0.
ACE_Map_Entry< EXT_ID, INT_ID > & | operator * (void) const
| Returns a reference to the interal element <this> is pointing to.
ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > & | map (void)
int | operator== (const ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK > &) const
| Check if two iterators point to the same position.
int | operator!= (const ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK > &) const
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
int | forward_i (void)
int | reverse_i (void)
void | dump_i (void) const
| Dump the state of an object.
## Protected Attributes
ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > * | map_man_
| Map we are iterating over.
ACE_UINT32 | next_
| Keeps track of how far we've advanced...

## Detailed Description

### template<class EXT_ID, class INT_ID, class ACE_LOCK>
class ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >

Iterator for the ACE_Map_Manager.

This class factors out common code from its templatized subclasses.

## Constructor & Destructor Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::ACE_Map_Iterator_Base | ( | ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > & | mm | ) |

| Contructor. If head != 0, the iterator constructed is positioned at the head of the map, it is positioned at the end otherwise.

## Member Function Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
void ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::dump_i | ( | void |  | ) | const`[protected]`

| Dump the state of an object.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::forward_i | ( | void |  | ) | `[protected]`

| Move forward by one element in the set. Returns 0 when there's no more item in the set after the current items, else 1.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE ACE_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > & ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::map | ( | void |  | ) |

| Returns reference the Map_Manager that is being iterated over.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::next | ( | ACE_Map_Entry< EXT_ID, INT_ID > *& | next_entry | ) | const

| Pass back the next <entry> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Map_Entry< EXT_ID, INT_ID > & ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::operator * | ( | void |  | ) | const

| Returns a reference to the interal element <this> is pointing to.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::operator!= | ( | const ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK > & |  | ) | const

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::operator== | ( | const ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK > & |  | ) | const

| Check if two iterators point to the same position.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_INLINE int ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::reverse_i | ( | void |  | ) | `[protected]`

| Move backware by one element in the set. Returns 0 when there's no more item in the set before the current item, else 1.

## Member Data Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >, ACE_Map_Reverse_Iterator< EXT_ID, INT_ID, ACE_LOCK >, ACE_Map_Iterator< KEY, VALUE, ACE_Null_Mutex >, ACE_Map_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex >, ACE_Map_Reverse_Iterator< KEY, VALUE, ACE_Null_Mutex >, and ACE_Map_Reverse_Iterator< ACE_Active_Map_Manager_Key, VALUE, ACE_Null_Mutex >.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Map_Manager<EXT_ID, INT_ID, ACE_LOCK>* ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::map_man_`[protected]`

| Map we are iterating over.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_UINT32 ACE_Map_Iterator_Base< EXT_ID, INT_ID, ACE_LOCK >::next_`[protected]`

| Keeps track of how far we've advanced...

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_Manager.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_Manager.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_Manager.i